Package net.shibboleth.shared.spring.resource

# Class ConditionalResourceResolver

java.lang.Object
net.shibboleth.shared.spring.resource.ConditionalResourceResolver

All Implemented Interfaces:
  `ProtocolResolver`

public class ConditionalResourceResolver extends Object implements ProtocolResolver
Supports a "conditional:resourcepath" URL syntax for wrapping a Spring resource with a `ConditionalResource`.

Since:
  5.4.0

## Field Summary

Fields
Modifier and Type
Field
Description
`(package private) static final String`
`CONDITIONAL_RESOURCE_PREFIX`
URL scheme.

## Constructor Summary

Constructors
Constructor
Description
`ConditionalResourceResolver()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Resource`
`resolve(String location, ResourceLoader resourceLoader)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CONDITIONAL_RESOURCE_PREFIX

@Nonnull @NotEmpty static final String CONDITIONAL_RESOURCE_PREFIX
URL scheme.

See Also:
  - Constant Field Values

## Constructor Details

### ConditionalResourceResolver

public ConditionalResourceResolver()
Constructor.

## Method Details

### resolve

public Resource resolve(@Nonnull String location, @Nonnull ResourceLoader resourceLoader)

Specified by:
  `resolve` in interface `ProtocolResolver`